dovolena(Zajem, Bydliste, RekreacniStredisko, Hotel) :-
	vyhovujici(Zajem, RekreacniStredisko),
	doprava(Bydliste, RekreacniStredisko),
	ubytovani(Hotel, RekreacniStredisko).

vyhovujici('lyzovani', RekreacniStredisko) :-
	hory(RekreacniStredisko).

vyhovujici('prohlizeni pamatek', RekreacniStredisko) :-
	pamatky(RekreacniStredisko).

vyhovujici('koupani', RekreacniStredisko) :-
	plaz(RekreacniStredisko),
	teple_podnebi(RekreacniStredisko).

doprava(PocatecniMisto, CiloveMisto) :-
	spoj(PocatecniMisto, CiloveMisto).

doprava(PocatecniMisto, CiloveMisto) :-
	spoj(PocatecniMisto, PrestupniMisto),
	doprava(PrestupniMisto, CiloveMisto).

spoj(A, B) :- spojeni(A, B).
spoj(A, B) :- spojeni(B, A).

teple_podnebi(Misto) :-
	teplota(Misto, Teplota),
	Teplota > 24.

hory('Zelezna Ruda').
hory('Rocky Mountains').
hory('Kietzbiel').
hory('Strbske Pleso').
hory('Harachov').


pamatky('Praha').
pamatky('Rim').

plaz('Long Beach').


spojeni('Plzen', 'Zelezna Ruda').
spojeni('Plzen', 'Praha').
spojeni('Frankfurt', 'Praha').
spojeni('Frankfurt', 'Long Beach').
spojeni('Frankfurt', 'Rim').
spojeni('Praha', 'Harachov').
spojeni('Long Beach', 'Detroit').
spojeni('Detroit', 'Rocky Mountains').
spojeni('Praha','Bratislava').
spojeni('Strbske Pleso','Bratislava').
spojeni('Praha','Zurych').
spojeni('Kietzbiel','Zurych').


teplota('Rim', 25).
teplota('Long Beach', 28).
teplota('Zelezna Ruda', 12).

ubytovani('Javor','Zelezna Ruda').
ubytovani('Javorina','Strbske Pleso').
ubytovani('Atrium','Praha').
ubytovani('Ceasar','Rim').
ubytovani('Exculibur','Long Beach').
?-dovolena('prohlizeni pamatek','Plzen',X,Y).






